package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewVideoTotalDb(engine *xorm.Engine) dao.VideoTotalDao {
	return &VideoTotalDb{Db: engine}
}

type VideoTotalDb struct {
	Db *xorm.Engine
}

func (v VideoTotalDb) GetVideoTotal(uid, date string) (m *model.VideoTotal, err error) {
	m = new(model.VideoTotal)
	has, err := v.Db.Where("uid=? and date=?", uid, date).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
func (v VideoTotalDb) GetVideoTotalSess(sess *xorm.Session, uid, date string) (m *model.VideoTotal, err error) {
	m = new(model.VideoTotal)
	has, err := sess.Where("uid=? and date=?", uid, date).Get(m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err)
	}
	if has == false {
		return nil, nil
	}
	return m, nil
}
