﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"fmt"
	"xorm.io/xorm"
)

func NewVirtualCoinDb(engine *xorm.Engine) dao.VirtualCoinDao {
	return &VirtualCoinDb{Db: engine}
}

type VirtualCoinDb struct {
	Db *xorm.Engine
}

func (v VirtualCoinDb) VirtualCoinFindAll() ([]model.VirtualCoin, error) {
	var m []model.VirtualCoin
	err := v.Db.Where("").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err.Error())
	}
	return m, nil
}

func (v VirtualCoinDb) VirtualCoinGetOneByParams(params map[string]interface{}) (*model.VirtualCoin, error) {
	var m model.VirtualCoin
	var query = fmt.Sprintf("%s = ?", params["key"])
	if has, err := v.Db.Where(query, params["value"]).Get(&m); err != nil || has == false {
		return nil, zhios_order_relate_logx.Error(err)
	}
	return &m, nil
}
