package model

type PlatformRevenueData struct {
	Id            int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	Kind          int    `json:"kind" xorm:"not null default 1 comment('种类(1:开屏广告 2:banner广告 3:信息流广告 4:插屏广告)') TINYINT(1)"`
	TotalAmount   string `json:"total_amount" xorm:"not null comment('金额') DECIMAL(28,10)"`
	BalanceAmount string `json:"balance_amount" xorm:"not null comment('余额') DECIMAL(28,10)"`
	Hours         int    `json:"hours" xorm:"not null default 1 comment('时长(小时)') TINYINT(3)"`
	BalanceTimes  int    `json:"balance_times" xorm:"not null default 1 comment('剩余执行次数') TINYINT(3)"`
	Frequency     int    `json:"frequency" xorm:"not null default 1 comment('频率(分钟)') TINYINT(3)"`
	Memo          string `json:"memo" xorm:"not null default '' comment('备注') VARCHAR(255)"`
	CreateAt      string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt      string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
